import { guid } from "iotile-common";
export var DeltaStatus;
(function (DeltaStatus) {
    DeltaStatus[DeltaStatus["Applies"] = 0] = "Applies";
    DeltaStatus[DeltaStatus["Outdated"] = 1] = "Outdated";
    DeltaStatus[DeltaStatus["Conflicted"] = 2] = "Conflicted";
})(DeltaStatus || (DeltaStatus = {}));
;
var ModelDelta = /** @class */ (function () {
    function ModelDelta(name, slug, guidString) {
        if (guidString == null) {
            this.id = guid();
        }
        else {
            this.id = guidString;
        }
        this.slug = slug;
        this.classname = name;
    }
    ModelDelta.prototype.serialize = function () {
        return {
            classname: this.classname,
            guid: this.id,
            slug: this.slug,
            args: this.serializeArguments()
        };
    };
    return ModelDelta;
}());
export { ModelDelta };
//# sourceMappingURL=model-delta.js.map