import { User } from './user';
import { Permissions } from './permissions';
var Member = /** @class */ (function () {
    function Member(data) {
        if (data === void 0) { data = {}; }
        if ('user_details' in data) {
            this.user = new User(data['user_details']);
        }
        if ('created_on' in data) {
            this.createdOn = new Date(data['created_on']);
        }
        if ('is_active' in data) {
            this.isActive = data['is_active'];
        }
        if ('role' in data) {
            this.role = data['role'];
        }
        if ('permissions' in data) {
            this.permissions = new Permissions(data['permissions']);
        }
        if ('role_name' in data) {
            this.roleName = data['role_name'];
        }
    }
    return Member;
}());
export { Member };
//# sourceMappingURL=member.js.map