"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ProjectTemplate = /** @class */ (function () {
    function ProjectTemplate(data) {
        if (data === void 0) { data = {}; }
        this.id = data.id;
        this.name = data.name;
        this.slug = data.slug;
        this.version = data.version;
        this.extraData = data.extra_data;
        this.org = data.org;
        this.rawData = data;
        if (!this.extraData) {
            this.extraData = {
                mobile: {
                    projectTemplateSlug: "default",
                    waveform: false
                }
            };
        }
    }
    ProjectTemplate.prototype.toJson = function () {
        return this.rawData;
    };
    return ProjectTemplate;
}());
exports.ProjectTemplate = ProjectTemplate;
//# sourceMappingURL=projecttemplate.js.map