import { Page } from './page';
export interface BasicDictionary {
    [index: string]: any;
}
export declare class EventPage extends Page {
    data: Array<EventPoint>;
    constructor(url: string, thisPage: number, pageCount: number);
}
export declare class EventPoint {
    id: number;
    stream?: string;
    timestamp: Date;
    incrementalId?: number;
    dirtyTimestamp?: boolean;
    summaryData?: BasicDictionary;
    ext: string;
    constructor(data?: any);
}
