export declare class RPCArgs {
    addr?: number;
    rpcId?: number | null;
    callFmt?: string;
    respFmt?: string;
    args?: (string | number)[];
    timeout?: number;
    constructor(data?: any);
}
export declare class StatefulRPCArgs extends RPCArgs {
    currentState: boolean;
    transitionStates: string[];
    auto: boolean;
    constructor(data?: any);
}
export declare class StatefulSwitchArgs {
    currentState: boolean;
    transitionStates: string[];
    rpcs: RPCArgs[];
    constructor(data?: any);
}
export declare class DisplayWidget {
    label: string;
    lid: string;
    type: string;
    args: RPCArgs | StatefulRPCArgs | StatefulSwitchArgs | any | null;
    varType: string;
    derivedType: string;
    showInApp: boolean;
    showInWeb: boolean;
    constructor(data?: any);
}
