export interface FieldDictionary {
    [index: string]: string;
}
export declare class HttpError {
    private fieldErrors;
    private nonFieldErrors;
    status: number;
    private statusText;
    private method?;
    private url?;
    private raw;
    constructor(resp: any);
    private heuristicallyParseErrorData;
    private _formatFieldErrors;
    shortUserErrorMsg(): string;
    longUserErrorMsg(): string;
    extraInfo(): string;
    readonly message: string;
    readonly userMessage: string;
}
