export interface NoteUserInfo {
    username: string;
    slug: string;
    tinyAvatar: string;
}
export interface NoteAttachment {
    title: string;
    url: string;
    fileType: string;
}
export declare class Note {
    id: number;
    target: string;
    timestamp: string;
    note: string;
    type: string;
    userInfo?: NoteUserInfo;
    attachment?: NoteAttachment;
    constructor(data?: any);
    postPayload(): {
        target: string;
        timestamp: string;
        note: string;
        type: string;
    };
}
