var Credentials = /** @class */ (function () {
    function Credentials(username, password) {
        this.username = username;
        this.password = password;
        this.token = '';
    }
    Credentials.prototype.getPayload = function () {
        return {
            username: this.username,
            password: this.password
        };
    };
    Credentials.prototype.setToken = function (token) {
        this.token = token;
    };
    Credentials.prototype.getToken = function () {
        return this.token;
    };
    Credentials.prototype.clearToken = function () {
        this.token = '';
    };
    return Credentials;
}());
export { Credentials };
//# sourceMappingURL=credentials.js.map