var Invitation = /** @class */ (function () {
    function Invitation(data) {
        if (data === void 0) { data = {}; }
        this.email = "";
        if ('email' in data) {
            this.email = data.email;
        }
        if ('sent_on' in data) {
            this.sentOn = new Date(data.sent_on);
        }
        if ('sent_by' in data) {
            this.sentBy = data.sent_by;
        }
    }
    Invitation.prototype.postPayload = function () {
        var payload = {
            email: this.email
        };
        return payload;
    };
    return Invitation;
}());
export { Invitation };
//# sourceMappingURL=invitation.js.map