"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function streamInDevice(streamSlug, deviceSlug) {
    if (deviceSlug.length < 3) {
        return false;
    }
    var deviceGID = deviceSlug.substr(3);
    var streamParts = streamSlug.split('--');
    if (streamParts.length != 4) {
        return false;
    }
    return (streamParts[2] === deviceGID);
}
exports.streamInDevice = streamInDevice;
var DataConflictError = /** @class */ (function () {
    function DataConflictError(userMessage, technicalMessage) {
        if (technicalMessage === void 0) { technicalMessage = ""; }
        this.userMessage = userMessage;
        this.message = technicalMessage;
    }
    return DataConflictError;
}());
exports.DataConflictError = DataConflictError;
//# sourceMappingURL=cloud-utils.js.map