"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var user_1 = require("./user");
var permissions_1 = require("./permissions");
var Member = /** @class */ (function () {
    function Member(data) {
        if (data === void 0) { data = {}; }
        if ('user_details' in data) {
            this.user = new user_1.User(data['user_details']);
        }
        if ('created_on' in data) {
            this.createdOn = new Date(data['created_on']);
        }
        if ('is_active' in data) {
            this.isActive = data['is_active'];
        }
        if ('role' in data) {
            this.role = data['role'];
        }
        if ('permissions' in data) {
            this.permissions = new permissions_1.Permissions(data['permissions']);
        }
        if ('role_name' in data) {
            this.roleName = data['role_name'];
        }
    }
    return Member;
}());
exports.Member = Member;
//# sourceMappingURL=member.js.map