"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Membership = /** @class */ (function () {
    function Membership(data) {
        if (data === void 0) { data = {}; }
        this.user = data.user;
        this.isActive = data.is_active;
        this.permissions = data.permissions;
        this.role = data.role;
    }
    Membership.prototype.toJson = function () {
        var rawData = {
            "user": this.user,
            "is_active": this.isActive,
            "permissions": this.permissions,
            "role": this.role
        };
        return rawData;
    };
    Membership.Unserialize = function (obj) {
        var membership = new Membership(obj);
        return membership;
    };
    return Membership;
}());
exports.Membership = Membership;
//# sourceMappingURL=membership.js.map