"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var OrgTemplate = /** @class */ (function () {
    function OrgTemplate(data) {
        if (data === void 0) { data = {}; }
        this.id = data.id || '';
        this.name = data.name || '';
        this.slug = data.slug || '';
        this.createdOn = new Date(data.created_on);
        if ('version' in data) {
            this.version = data.version;
        }
        if ('extra_data' in data) {
            this.extraData = data['extra_data'];
        }
    }
    OrgTemplate.prototype.getExtraData = function () {
        if (this.extraData && 'web' in this.extraData) {
            return this.extraData['web'];
        }
    };
    return OrgTemplate;
}());
exports.OrgTemplate = OrgTemplate;
//# sourceMappingURL=org-template.js.map