"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Permissions = /** @class */ (function () {
    function Permissions(data) {
        if (data === void 0) { data = {}; }
        this.canDeleteOrg = data['can_delete_org'];
        this.canManageUsers = data['can_manage_users'];
        this.canManageOta = data['can_manage_ota'];
        this.canManageOrgAndProjects = data['can_manage_org_and_projects'];
        this.canClaimDevices = data['can_claim_devices'];
        this.canModifyDevice = data['can_modify_device'];
        this.canReadDeviceProperties = data['can_read_device_roperties'];
        this.canModifyDeviceProperties = data['can_modify_device_properties'];
        this.canReadNotes = data['can_read_notes'];
        this.canReadDeviceLocations = data['can_read_device_locations'];
        this.canReadStreamData = data['can_read_stream_data'];
        this.canCreateStreamData = data['can_create_stream_data'];
        this.canCreateDatablock = data['can_create_datablock'];
        this.canAccessDatablock = data['can_access_datablock'];
        this.canAccessWebapp = data['can_access_webapp'];
        this.canAccessReports = data['can_access_reports'];
        this.canCreateReports = data['can_create_reports'];
    }
    return Permissions;
}());
exports.Permissions = Permissions;
//# sourceMappingURL=permissions.js.map