import { Stream } from './stream';
import { Page } from './page';
export declare class DataPage extends Page {
    data: Array<DataPoint>;
    stream: Stream;
    constructor(url: string, thisPage: number, pageCount: number, stream: Stream);
}
export declare class DataPoint {
    stream?: string;
    timestamp: Date;
    rawValue?: number;
    value?: number;
    outValue?: number;
    displayValue?: string;
    incrementalId?: number;
    dirtyTimestamp?: boolean;
    constructor(data?: any);
}
