export interface FleetDeviceDictionary {
    [index: string]: FleetDevice;
}
export declare class FleetDevice {
    device: string;
    alwaysOn: boolean;
    isAccessPoint: boolean;
    constructor(data: any);
}
export declare class Fleet {
    id: number;
    name: string;
    slug: string;
    description: string;
    isNetwork: boolean;
    members: Array<FleetDevice>;
    memberDictionary: FleetDeviceDictionary;
    constructor(data: any);
    addDevice(item: FleetDevice): void;
    getPostPayload(): any;
}
