import { IndexFile } from './index-file';
import { User } from './user';
export interface ReportPostPayoad {
    slug: string;
    template: string;
    args?: Object;
}
export declare class GeneratedReport {
    id: string;
    label: string;
    sourceRef: string;
    createdOn: Date;
    createdBy: string;
    org: string;
    status: string;
    indexFile?: IndexFile;
    userInfo: User;
    template: string;
    args?: Object;
    groupSlug: string;
    token: string;
    constructor(data?: any);
    getSchedulPostPayload(): ReportPostPayoad;
    getStatusDisplay(): string;
}
